import pyodbc
import pandas as pd


# Nawiąż połączenie z Azure SQL Database
conn = pyodbc.connect(
    'Driver={ODBC Driver 17 for SQL Server};'
    'Server=lucazav.database.windows.net;'
    'Database=SystemsLogging;'
    'Uid=<twoja-nazwa-użytkownika>;'
    'Pwd=<twoje-hasło>')

# Teraz opróżnij tabelę WrongEmails
cursor = conn.cursor()
cursor.execute('TRUNCATE TABLE WrongEmails')
conn.commit()

filter = (dataset['isEmailValidFromRegex'] == 0)

# Zapisz niewłaściwe adresy e-mail do tabeli WrongEmails wiersz po wierszu:
cursor = conn.cursor()

for index, row in dataset[filter][['UserId', 'Email']].iterrows():
    cursor.execute("INSERT INTO WrongEmails (UserId, Email) values(?,?)", row.UserId, row.Email)
conn.commit()
cursor.close()

conn.close()

df = dataset[~filter]
